# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: src/protos/msg.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x14src/protos/msg.proto\"*\n\x0c\x45rrorMessage\x12\x11\n\x04text\x18\x01 \x01(\tH\x00\x88\x01\x01\x42\x07\n\x05_text\",\n\x08Location\x12\x0f\n\x07x_coord\x18\x01 \x01(\x05\x12\x0f\n\x07y_coord\x18\x02 \x01(\x05\"D\n\x08UserInfo\x12\x11\n\x04name\x18\x01 \x01(\tH\x00\x88\x01\x01\x12\x12\n\x05\x65mail\x18\x02 \x01(\tH\x01\x88\x01\x01\x42\x07\n\x05_nameB\x08\n\x06_email\"`\n\rPassengerInfo\x12\x17\n\x04user\x18\x01 \x01(\x0b\x32\t.UserInfo\x12\x1b\n\x08\x66rom_loc\x18\x02 \x01(\x0b\x32\t.Location\x12\x19\n\x06to_loc\x18\x03 \x01(\x0b\x32\t.Location\"\xc9\x01\n\tOfferInfo\x12 \n\x08\x66rom_loc\x18\x01 \x01(\x0b\x32\t.LocationH\x00\x88\x01\x01\x12\x1e\n\x06to_loc\x18\x02 \x01(\x0b\x32\t.LocationH\x01\x88\x01\x01\x12\x13\n\x06places\x18\x03 \x01(\rH\x02\x88\x01\x01\x12\x11\n\x04\x64\x61te\x18\x04 \x01(\rH\x03\x88\x01\x01\x12\x17\n\nmax_offset\x18\x05 \x01(\rH\x04\x88\x01\x01\x42\x0b\n\t_from_locB\t\n\x07_to_locB\t\n\x07_placesB\x07\n\x05_dateB\r\n\x0b_max_offset\"\x83\x01\n\x0bOfferStatus\x12#\n\noffer_info\x18\x01 \x01(\x0b\x32\n.OfferInfoH\x00\x88\x01\x01\x12\"\n\npassengers\x18\x02 \x03(\x0b\x32\x0e.PassengerInfo\x12\x12\n\x05index\x18\x03 \x01(\rH\x01\x88\x01\x01\x42\r\n\x0b_offer_infoB\x08\n\x06_index\"\x83\x01\n\x0bRequestInfo\x12 \n\x08\x66rom_loc\x18\x01 \x01(\x0b\x32\t.LocationH\x00\x88\x01\x01\x12\x1e\n\x06to_loc\x18\x02 \x01(\x0b\x32\t.LocationH\x01\x88\x01\x01\x12\x11\n\x04\x64\x61te\x18\x03 \x01(\rH\x02\x88\x01\x01\x42\x0b\n\t_from_locB\t\n\x07_to_locB\x07\n\x05_date\"\xb3\x02\n\rRequestStatus\x12\'\n\x0crequest_info\x18\x01 \x01(\x0b\x32\x0c.RequestInfoH\x00\x88\x01\x01\x12#\n\noffer_info\x18\x02 \x01(\x0b\x32\n.OfferInfoH\x01\x88\x01\x01\x12#\n\x0b\x64river_info\x18\x03 \x01(\x0b\x32\t.UserInfoH\x02\x88\x01\x01\x12\x12\n\x05index\x18\x04 \x01(\rH\x03\x88\x01\x01\x12%\n\x06status\x18\x05 \x01(\x0e\x32\x15.RequestStatus.Status\":\n\x06Status\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x08\n\x04\x46REE\x10\x01\x12\x0b\n\x07PENDING\x10\x02\x12\x0c\n\x08\x41\x43\x43\x45PTED\x10\x03\x42\x0f\n\r_request_infoB\r\n\x0b_offer_infoB\x0e\n\x0c_driver_infoB\x08\n\x06_index\"#\n\x07PingReq\x12\x10\n\x03seq\x18\x01 \x01(\rH\x00\x88\x01\x01\x42\x06\n\x04_seq\"#\n\x07PingRes\x12\x10\n\x03seq\x18\x01 \x01(\rH\x00\x88\x01\x01\x42\x06\n\x04_seq\"B\n\x0cUserOfferReq\x12#\n\noffer_info\x18\x01 \x01(\x0b\x32\n.OfferInfoH\x00\x88\x01\x01\x42\r\n\x0b_offer_info\"\x0e\n\x0cUserOfferRes\"\x11\n\x0fOffersStatusReq\"/\n\x0fOffersStatusRes\x12\x1c\n\x06offers\x18\x01 \x03(\x0b\x32\x0c.OfferStatus\".\n\x0e\x43\x61ncelOfferReq\x12\x12\n\x05index\x18\x01 \x01(\rH\x00\x88\x01\x01\x42\x08\n\x06_index\"\x10\n\x0e\x43\x61ncelOfferRes\"J\n\x0eUserRequestReq\x12\'\n\x0crequest_info\x18\x01 \x01(\x0b\x32\x0c.RequestInfoH\x00\x88\x01\x01\x42\x0f\n\r_request_info\"\x10\n\x0eUserRequestRes\"\x13\n\x11RequestsStatusReq\"5\n\x11RequestsStatusRes\x12 \n\x08requests\x18\x01 \x03(\x0b\x32\x0e.RequestStatus\"0\n\x10\x43\x61ncelRequestReq\x12\x12\n\x05index\x18\x01 \x01(\rH\x00\x88\x01\x01\x42\x08\n\x06_index\"\x12\n\x10\x43\x61ncelRequestRes\"\x84\x03\n\tDriverMsg\x12\x1c\n\x08ping_req\x18\x01 \x01(\x0b\x32\x08.PingReqH\x00\x12\x1c\n\x08ping_res\x18\x02 \x01(\x0b\x32\x08.PingResH\x00\x12\'\n\x0euser_offer_req\x18\x03 \x01(\x0b\x32\r.UserOfferReqH\x00\x12\'\n\x0euser_offer_res\x18\x04 \x01(\x0b\x32\r.UserOfferResH\x00\x12-\n\x11offers_status_req\x18\x05 \x01(\x0b\x32\x10.OffersStatusReqH\x00\x12-\n\x11offers_status_res\x18\x06 \x01(\x0b\x32\x10.OffersStatusResH\x00\x12+\n\x10\x63\x61ncel_offer_req\x18\x07 \x01(\x0b\x32\x0f.CancelOfferReqH\x00\x12+\n\x10\x63\x61ncel_offer_res\x18\x08 \x01(\x0b\x32\x0f.CancelOfferResH\x00\x12&\n\rerror_message\x18\x65 \x01(\x0b\x32\r.ErrorMessageH\x00\x42\t\n\x07\x63ontent\"\x9f\x03\n\x0cPassengerMsg\x12\x1c\n\x08ping_req\x18\x01 \x01(\x0b\x32\x08.PingReqH\x00\x12\x1c\n\x08ping_res\x18\x02 \x01(\x0b\x32\x08.PingResH\x00\x12+\n\x10user_request_req\x18\x03 \x01(\x0b\x32\x0f.UserRequestReqH\x00\x12+\n\x10user_request_res\x18\x04 \x01(\x0b\x32\x0f.UserRequestResH\x00\x12\x31\n\x13requests_status_req\x18\x05 \x01(\x0b\x32\x12.RequestsStatusReqH\x00\x12\x31\n\x13requests_status_res\x18\x06 \x01(\x0b\x32\x12.RequestsStatusResH\x00\x12/\n\x12\x63\x61ncel_request_req\x18\x07 \x01(\x0b\x32\x11.CancelRequestReqH\x00\x12/\n\x12\x63\x61ncel_request_res\x18\x08 \x01(\x0b\x32\x11.CancelRequestResH\x00\x12&\n\rerror_message\x18\x65 \x01(\x0b\x32\r.ErrorMessageH\x00\x42\t\n\x07\x63ontentb\x06proto3')



_ERRORMESSAGE = DESCRIPTOR.message_types_by_name['ErrorMessage']
_LOCATION = DESCRIPTOR.message_types_by_name['Location']
_USERINFO = DESCRIPTOR.message_types_by_name['UserInfo']
_PASSENGERINFO = DESCRIPTOR.message_types_by_name['PassengerInfo']
_OFFERINFO = DESCRIPTOR.message_types_by_name['OfferInfo']
_OFFERSTATUS = DESCRIPTOR.message_types_by_name['OfferStatus']
_REQUESTINFO = DESCRIPTOR.message_types_by_name['RequestInfo']
_REQUESTSTATUS = DESCRIPTOR.message_types_by_name['RequestStatus']
_PINGREQ = DESCRIPTOR.message_types_by_name['PingReq']
_PINGRES = DESCRIPTOR.message_types_by_name['PingRes']
_USEROFFERREQ = DESCRIPTOR.message_types_by_name['UserOfferReq']
_USEROFFERRES = DESCRIPTOR.message_types_by_name['UserOfferRes']
_OFFERSSTATUSREQ = DESCRIPTOR.message_types_by_name['OffersStatusReq']
_OFFERSSTATUSRES = DESCRIPTOR.message_types_by_name['OffersStatusRes']
_CANCELOFFERREQ = DESCRIPTOR.message_types_by_name['CancelOfferReq']
_CANCELOFFERRES = DESCRIPTOR.message_types_by_name['CancelOfferRes']
_USERREQUESTREQ = DESCRIPTOR.message_types_by_name['UserRequestReq']
_USERREQUESTRES = DESCRIPTOR.message_types_by_name['UserRequestRes']
_REQUESTSSTATUSREQ = DESCRIPTOR.message_types_by_name['RequestsStatusReq']
_REQUESTSSTATUSRES = DESCRIPTOR.message_types_by_name['RequestsStatusRes']
_CANCELREQUESTREQ = DESCRIPTOR.message_types_by_name['CancelRequestReq']
_CANCELREQUESTRES = DESCRIPTOR.message_types_by_name['CancelRequestRes']
_DRIVERMSG = DESCRIPTOR.message_types_by_name['DriverMsg']
_PASSENGERMSG = DESCRIPTOR.message_types_by_name['PassengerMsg']
_REQUESTSTATUS_STATUS = _REQUESTSTATUS.enum_types_by_name['Status']
ErrorMessage = _reflection.GeneratedProtocolMessageType('ErrorMessage', (_message.Message,), {
  'DESCRIPTOR' : _ERRORMESSAGE,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:ErrorMessage)
  })
_sym_db.RegisterMessage(ErrorMessage)

Location = _reflection.GeneratedProtocolMessageType('Location', (_message.Message,), {
  'DESCRIPTOR' : _LOCATION,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:Location)
  })
_sym_db.RegisterMessage(Location)

UserInfo = _reflection.GeneratedProtocolMessageType('UserInfo', (_message.Message,), {
  'DESCRIPTOR' : _USERINFO,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:UserInfo)
  })
_sym_db.RegisterMessage(UserInfo)

PassengerInfo = _reflection.GeneratedProtocolMessageType('PassengerInfo', (_message.Message,), {
  'DESCRIPTOR' : _PASSENGERINFO,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:PassengerInfo)
  })
_sym_db.RegisterMessage(PassengerInfo)

OfferInfo = _reflection.GeneratedProtocolMessageType('OfferInfo', (_message.Message,), {
  'DESCRIPTOR' : _OFFERINFO,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:OfferInfo)
  })
_sym_db.RegisterMessage(OfferInfo)

OfferStatus = _reflection.GeneratedProtocolMessageType('OfferStatus', (_message.Message,), {
  'DESCRIPTOR' : _OFFERSTATUS,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:OfferStatus)
  })
_sym_db.RegisterMessage(OfferStatus)

RequestInfo = _reflection.GeneratedProtocolMessageType('RequestInfo', (_message.Message,), {
  'DESCRIPTOR' : _REQUESTINFO,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:RequestInfo)
  })
_sym_db.RegisterMessage(RequestInfo)

RequestStatus = _reflection.GeneratedProtocolMessageType('RequestStatus', (_message.Message,), {
  'DESCRIPTOR' : _REQUESTSTATUS,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:RequestStatus)
  })
_sym_db.RegisterMessage(RequestStatus)

PingReq = _reflection.GeneratedProtocolMessageType('PingReq', (_message.Message,), {
  'DESCRIPTOR' : _PINGREQ,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:PingReq)
  })
_sym_db.RegisterMessage(PingReq)

PingRes = _reflection.GeneratedProtocolMessageType('PingRes', (_message.Message,), {
  'DESCRIPTOR' : _PINGRES,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:PingRes)
  })
_sym_db.RegisterMessage(PingRes)

UserOfferReq = _reflection.GeneratedProtocolMessageType('UserOfferReq', (_message.Message,), {
  'DESCRIPTOR' : _USEROFFERREQ,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:UserOfferReq)
  })
_sym_db.RegisterMessage(UserOfferReq)

UserOfferRes = _reflection.GeneratedProtocolMessageType('UserOfferRes', (_message.Message,), {
  'DESCRIPTOR' : _USEROFFERRES,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:UserOfferRes)
  })
_sym_db.RegisterMessage(UserOfferRes)

OffersStatusReq = _reflection.GeneratedProtocolMessageType('OffersStatusReq', (_message.Message,), {
  'DESCRIPTOR' : _OFFERSSTATUSREQ,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:OffersStatusReq)
  })
_sym_db.RegisterMessage(OffersStatusReq)

OffersStatusRes = _reflection.GeneratedProtocolMessageType('OffersStatusRes', (_message.Message,), {
  'DESCRIPTOR' : _OFFERSSTATUSRES,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:OffersStatusRes)
  })
_sym_db.RegisterMessage(OffersStatusRes)

CancelOfferReq = _reflection.GeneratedProtocolMessageType('CancelOfferReq', (_message.Message,), {
  'DESCRIPTOR' : _CANCELOFFERREQ,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:CancelOfferReq)
  })
_sym_db.RegisterMessage(CancelOfferReq)

CancelOfferRes = _reflection.GeneratedProtocolMessageType('CancelOfferRes', (_message.Message,), {
  'DESCRIPTOR' : _CANCELOFFERRES,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:CancelOfferRes)
  })
_sym_db.RegisterMessage(CancelOfferRes)

UserRequestReq = _reflection.GeneratedProtocolMessageType('UserRequestReq', (_message.Message,), {
  'DESCRIPTOR' : _USERREQUESTREQ,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:UserRequestReq)
  })
_sym_db.RegisterMessage(UserRequestReq)

UserRequestRes = _reflection.GeneratedProtocolMessageType('UserRequestRes', (_message.Message,), {
  'DESCRIPTOR' : _USERREQUESTRES,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:UserRequestRes)
  })
_sym_db.RegisterMessage(UserRequestRes)

RequestsStatusReq = _reflection.GeneratedProtocolMessageType('RequestsStatusReq', (_message.Message,), {
  'DESCRIPTOR' : _REQUESTSSTATUSREQ,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:RequestsStatusReq)
  })
_sym_db.RegisterMessage(RequestsStatusReq)

RequestsStatusRes = _reflection.GeneratedProtocolMessageType('RequestsStatusRes', (_message.Message,), {
  'DESCRIPTOR' : _REQUESTSSTATUSRES,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:RequestsStatusRes)
  })
_sym_db.RegisterMessage(RequestsStatusRes)

CancelRequestReq = _reflection.GeneratedProtocolMessageType('CancelRequestReq', (_message.Message,), {
  'DESCRIPTOR' : _CANCELREQUESTREQ,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:CancelRequestReq)
  })
_sym_db.RegisterMessage(CancelRequestReq)

CancelRequestRes = _reflection.GeneratedProtocolMessageType('CancelRequestRes', (_message.Message,), {
  'DESCRIPTOR' : _CANCELREQUESTRES,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:CancelRequestRes)
  })
_sym_db.RegisterMessage(CancelRequestRes)

DriverMsg = _reflection.GeneratedProtocolMessageType('DriverMsg', (_message.Message,), {
  'DESCRIPTOR' : _DRIVERMSG,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:DriverMsg)
  })
_sym_db.RegisterMessage(DriverMsg)

PassengerMsg = _reflection.GeneratedProtocolMessageType('PassengerMsg', (_message.Message,), {
  'DESCRIPTOR' : _PASSENGERMSG,
  '__module__' : 'src.protos.msg_pb2'
  # @@protoc_insertion_point(class_scope:PassengerMsg)
  })
_sym_db.RegisterMessage(PassengerMsg)

if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _ERRORMESSAGE._serialized_start=24
  _ERRORMESSAGE._serialized_end=66
  _LOCATION._serialized_start=68
  _LOCATION._serialized_end=112
  _USERINFO._serialized_start=114
  _USERINFO._serialized_end=182
  _PASSENGERINFO._serialized_start=184
  _PASSENGERINFO._serialized_end=280
  _OFFERINFO._serialized_start=283
  _OFFERINFO._serialized_end=484
  _OFFERSTATUS._serialized_start=487
  _OFFERSTATUS._serialized_end=618
  _REQUESTINFO._serialized_start=621
  _REQUESTINFO._serialized_end=752
  _REQUESTSTATUS._serialized_start=755
  _REQUESTSTATUS._serialized_end=1062
  _REQUESTSTATUS_STATUS._serialized_start=946
  _REQUESTSTATUS_STATUS._serialized_end=1004
  _PINGREQ._serialized_start=1064
  _PINGREQ._serialized_end=1099
  _PINGRES._serialized_start=1101
  _PINGRES._serialized_end=1136
  _USEROFFERREQ._serialized_start=1138
  _USEROFFERREQ._serialized_end=1204
  _USEROFFERRES._serialized_start=1206
  _USEROFFERRES._serialized_end=1220
  _OFFERSSTATUSREQ._serialized_start=1222
  _OFFERSSTATUSREQ._serialized_end=1239
  _OFFERSSTATUSRES._serialized_start=1241
  _OFFERSSTATUSRES._serialized_end=1288
  _CANCELOFFERREQ._serialized_start=1290
  _CANCELOFFERREQ._serialized_end=1336
  _CANCELOFFERRES._serialized_start=1338
  _CANCELOFFERRES._serialized_end=1354
  _USERREQUESTREQ._serialized_start=1356
  _USERREQUESTREQ._serialized_end=1430
  _USERREQUESTRES._serialized_start=1432
  _USERREQUESTRES._serialized_end=1448
  _REQUESTSSTATUSREQ._serialized_start=1450
  _REQUESTSSTATUSREQ._serialized_end=1469
  _REQUESTSSTATUSRES._serialized_start=1471
  _REQUESTSSTATUSRES._serialized_end=1524
  _CANCELREQUESTREQ._serialized_start=1526
  _CANCELREQUESTREQ._serialized_end=1574
  _CANCELREQUESTRES._serialized_start=1576
  _CANCELREQUESTRES._serialized_end=1594
  _DRIVERMSG._serialized_start=1597
  _DRIVERMSG._serialized_end=1985
  _PASSENGERMSG._serialized_start=1988
  _PASSENGERMSG._serialized_end=2403
# @@protoc_insertion_point(module_scope)
